<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования района города.
 * 
 * Файл: /admin/shop/action/add_edit_city_area.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */ 
/* Принимаем переданные данные. */
$city_area_name = to_str($_REQUEST['city_area_name']);

$city_id = to_int($_REQUEST['shop_city_id']);

$shop_city_area_order = to_int($_REQUEST['shop_city_area_order']);

$shop = & singleton('shop');

/* Проверяем добавление или редактирование. */
if (isset($_REQUEST['city_area_id']))
{
	$type = 1;
	$city_area_id = to_int($_REQUEST['city_area_id']);
}
else 
{
	$type = 0;
	$city_area_id = 0;
}

/* Вызываем метод добавления редактирования района. */
if ($cityarea = $shop->InsertCityArea($type, $city_area_id, $city_area_name, $city_id, $shop_city_area_order))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddCityArea', 'city_area_id', '<?php echo $cityarea?>');
	</script><?php

	if (isset($_REQUEST['city_area_id']))
	{
		show_message($GLOBALS['MSG_shops']['edit_city_area_success']);
	}
	else 
	{
		show_message($GLOBALS['MSG_shops']['add_city_area_success']);
	}
	
}
else 
{
	show_error_message($GLOBALS['MSG_shops']['add_edit_city_area_error']);
}
?>